<script setup lang="ts">
import { usePosStore } from '@/stores/pos'
import { useProductStore } from '@/stores/product'
import { useReceiptStore } from '@/stores/receipt'
import { ref } from 'vue'

const posStore = usePosStore()
const receiptStore = useReceiptStore()
const productStore = useProductStore()
let categorycolor = ref(0)
function addProductToReceipt() {
  console.log(productStore.product)
  if (productStore.product) {
    receiptStore.addReceiptItem(productStore.product)
    posStore.productCard = false
    productStore.clear()
  }
}
function checkCategory() {
  if (categorycolor.value !== 0) {
    addProductToReceipt()
  } else {
    alert('change category')
  }
}
function changCategory(category: number) {
  if (category === 1 && productStore.product) {
    productStore.changCategory(1, productStore.product)
    categorycolor.value = 1
  } else if (category === 2 && productStore.product) {
    productStore.changCategory(2, productStore.product)
    categorycolor.value = 2
  } else if (category === 3 && productStore.product) {
    productStore.changCategory(3, productStore.product)
    categorycolor.value = 3
  }
}

function incSweetProduct() {
  if (productStore.product) {
    productStore.incSweetProduct(productStore.product)
  }
}

function decSweetProduct() {
  if (productStore.product) {
    productStore.decSweetProduct(productStore.product)
  }
}
</script>

<template>
  <v-dialog v-model="posStore.productCard" width="550" height="400">
    <v-container
      style="background-color: #ffffff; font-family: 'Kanit'; padding: 5%"
      class="rounded-dialog"
    >
      <h1>Product Detail</h1>
      <v-row col="12" style="padding-top: 5%">
        <v-col cols="5">name : {{ productStore.product?.name }}</v-col>
        <v-col cols="3">type : {{ productStore.product?.category }}</v-col>
        <v-col cols="1"></v-col>
      </v-row>
      <v-row col="12">
        <v-col cols="3">category :</v-col>
        <v-col cols="3">
          <v-btn
            rounded="xl"
            size="large"
            style="padding: 2"
            @click="changCategory(1)"
            :color="categorycolor === 1 ? '#474747' : 'white-darken-1'"
            >hot</v-btn
          >
        </v-col>
        <v-col cols="3"
          ><v-btn
            rounded="xl"
            size="large"
            style="padding: 2"
            @click="changCategory(2)"
            :color="categorycolor === 2 ? '#474747' : 'white-darken-1'"
            >cool</v-btn
          ></v-col
        >
        <v-col cols="3"
          ><v-btn
            rounded="xl"
            size="large"
            style="padding: 2"
            @click="changCategory(3)"
            :color="categorycolor === 3 ? '#474747' : 'white-darken-1'"
            >blended</v-btn
          ></v-col
        >
      </v-row>
      <v-row col="12">
        <v-col cols="3">sweet :</v-col>
        <v-col cols="3">
          <v-btn
            color="gray"
            rounded="xl"
            size="30"
            icon="mdi-minus"
            density="compact"
            style="margin-right: 2px"
            @click="decSweetProduct()"
          ></v-btn>
          {{ productStore.product?.sweet }}
          <v-btn
            color="gray"
            rounded="xl"
            size="30"
            icon="mdi-plus"
            density="compact"
            style="margin-left: 2px"
            @click="incSweetProduct()"
          ></v-btn>
        </v-col>
        <v-col cols="6"></v-col>
      </v-row>
      <v-row>
        <v-col cols="6"
          ><v-btn
            block
            rounded="xl"
            size="large"
            icon="mdi-delete"
            @click="posStore.productCard = false"
            color="red"
          >
          </v-btn
        ></v-col>
        <v-col cols="6"
          ><v-btn
            block
            rounded="xl"
            size="large"
            icon="mdi-checkbox-marked-circle"
            @click="checkCategory()"
            color="green"
          >
          </v-btn>
        </v-col>
      </v-row>
    </v-container>
  </v-dialog>
</template>

<style scoped>
.rounded-dialog {
  border-radius: 10px;
}
</style>
